# Incremental

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = [ElementType.METHOD, ElementType.FIELD])
@Documented
annotation class Incremental

Track input changes for the annotated parameter.

Inputs annotated with Incremental can be queried for changes via getFileChanges or getFileChanges.

#### Since

5.4

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
toString
Link copied to clipboard
abstract fun toString(): String